[jira] [Commented] (NUTCH-2489) Dependency collision with lucene-analyzers-common in scoring-similarity plugin

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[jira] [Commented] (NUTCH-2489) Dependency collision with lucene-analyzers-common in scoring-similarity plugin

JIRA jira@apache.org

    [ https://issues.apache.org/jira/browse/NUTCH-2489?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16355508#comment-16355508 ]

ASF GitHub Bot commented on NUTCH-2489:
---------------------------------------

YossiTamari opened a new pull request #284: NUTCH-2489: Dependency collision with lucene-analyzers-common in scoring-similarity plugin
URL: https://github.com/apache/nutch/pull/284
 
 
   Upgraded lucene-analyzers-common from 5.5.0 to 6.4.1 in order to resolve conflict in Eclipse.

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
[hidden email]


> Dependency collision with lucene-analyzers-common in scoring-similarity plugin
> ------------------------------------------------------------------------------
>
>                 Key: NUTCH-2489
>                 URL: https://issues.apache.org/jira/browse/NUTCH-2489
>             Project: Nutch
>          Issue Type: Bug
>          Components: scoring
>    Affects Versions: 1.14
>            Reporter: Yossi Tamari
>            Priority: Major
>         Attachments: ivy.xml.patch
>
>
> After updating to Master branch of 1.14, we get a few compile errors in LuceneTokenizer.java and LuceneAnalyzerUtil.java:
> {code:java}
> Type mismatch: cannot convert from org.apache.lucene.analysis.CharArraySet to org.apache.lucene.analysis.util.CharArraySet
> {code}
> This seems to be caused by the fact that scoring-similarity compiles with lucene-analyzers-common-5.5.0.jar (from ivy.xml), but with lucene-core-6.4.1 instead of the matching 5.5.0.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)